<?php

namespace Aerex\TaskwarriorPlugin\Taskwarrior;
use Symfony\Component\Process\Process;
use Aerex\TaskwarriorPlugin\Commands\IStrategy;
use Aerex\TaskwarriorPlugin\Config;

class Taskwarrior {
  

    /**
     * @var TaskwarriorConfig
     */
    private $config;

   /**
     * @var string
     */
    private $bin;

    /**
     * @var string
     */
    private $taskrc;


    /**
     * @var string
     */
    private $taskData;

    /**
     * @var array
     */
    private $rcOptions;

    /**
     * @var IStrategy
     */

    private $strategy;
    /**
     * @var string
     */
  
    public function __construct(Config $config){
      if(!isset($config)){
        $this->config = new Config();
      }
      $this->config = $config;
    }

    public function setStrategy(IStrategy $strategy){
      $this->strategy = $strategy;
    }

    public function createTask($uuid){
      $task = new Task($uuid);
      return $task;
    }


    public function add($task){
      $this->strategy->add($task);
    }

    public function count($uuid){
      return $this->strategy->cound($uuid);
    }


}


?>

